clear all;
q=load('dailyQ_example.txt'); %observed daily discharge

t=[1:length(q)]';
% example 1: sine curve with zero winter flow
x1=max(q)*sin(t/365*2*pi-90); % simulation
x1(x1<0)=min(q);
x1=x1/mean(x1)*mean(q);               
nash1=1-(sum((x1-q).^2)/sum((q-mean(q)).^2));

% example 2: sine curve with minimum during winter 
x2=max(q)/2*sin(t/365*2*pi-90); % simulation
x2=x2-min(x2);
x2=x2/mean(x2)*mean(q);

nash2=1-(sum((x2-q).^2)/sum((q-mean(q)).^2));

figure; set(gca,'FontSize',14)
plot(q)
hold on
plot(x1,'-r')
plot(x2,'-c')
xlabel('Daily time step')
ylabel('Discharge m3/s')
legend('Obs',['Sine 1, NS=',num2str(round(nash1*100)/100)],['Sine 2, NS=',num2str(round(nash2*100)/100)])
